| OpenSubdiv

Loading...
Searching...
No Matches
primvarRefiner.h File Reference
`#include "../version.h"`
`#include "../sdc/types.h"`
`#include "../sdc/options.h"`
`#include "../sdc/bilinearScheme.h"`
`#include "../sdc/catmarkScheme.h"`
`#include "../sdc/loopScheme.h"`
`#include "../vtr/level.h"`
`#include "../vtr/fvarLevel.h"`
`#include "../vtr/refinement.h"`
`#include "../vtr/fvarRefinement.h"`
`#include "../vtr/stackBuffer.h"`
`#include "../vtr/componentInterfaces.h"`
`#include "../far/types.h"`
`#include "../far/error.h"`
`#include "../far/topologyLevel.h"`
`#include "../far/topologyRefiner.h"`
`#include <cassert>`

Go to the source code of this file.

## Classes
class | PrimvarRefinerReal< REAL >
| Applies refinement operations to generic primvar data. More...
class | PrimvarRefiner

## Namespaces
namespace | OpenSubdiv
namespace | OpenSubdiv::OPENSUBDIV_VERSION
namespace | OpenSubdiv::OPENSUBDIV_VERSION::Far